<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package impulsive
*/

get_header();
?>

<div class="page-not-found space">
    <div class="container">
        <div class="row">
            <div class="col-md-12 no-data">
                <h2>
                   <?php if ( get_theme_mod( "impulsive_Setting_For_404_Page_Section_Title" ) ) 
                    {
                        echo esc_html(get_theme_mod( "impulsive_Setting_For_404_Page_Section_Title" ));
                    } else{ 
                        echo esc_html__('404', 'impulsive');
                    }?> 
                    <?php //echo esc_html__('404', 'impulsive') ?></h2>
                <h4>
                    <?php if ( get_theme_mod( "impulsive_Setting_For_404_Page_Section_Description" ) ) 
                    {
                        echo esc_html(get_theme_mod( "impulsive_Setting_For_404_Page_Section_Description" ));
                    } else{ 
                        echo esc_html__('PAGE NOT FOUND', 'impulsive');
                    }?> 
                </h4>
                <?php $impulsive_404_Page_Button_background = get_theme_mod('impulsive_404_Page_Button_background');
                if( !empty($impulsive_404_Page_Button_background) ) : ?>

                    <style type="text/css" id="diwp-theme-option-css">
                        
                        .page-not-found .send-btn {
                            background-color: <?php echo $impulsive_404_Page_Button_background; ?> !important;
                            color: #fff;
                            border-radius: 0px;
                            padding: 14px 25px;
    font-size: 20px;
    font-weight: 700;
    text-decoration: none;
                            text-decoration: none;
                        }
                    
                    </style>    
            
                <?php
            
                endif; ?>

                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class=" send-btn">
                    <?php if ( get_theme_mod( "impulsive_Setting_For_404_Page_Section_Button_Label" ) ) 
                    {
                        echo esc_html(get_theme_mod( "impulsive_Setting_For_404_Page_Section_Button_Label" ));
                    } else{ 
                        echo esc_html__('Back To Home', 'impulsive');
                    }?>  
                </a>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>