<?php
/**
 * The template for displaying the footer
 *
 * @package impulsive
 */
?>
<div class="clearfix"></div>
<div class="container-fluid footer1">
	<div class="container">			
		<div class="clearfix divider_dashed1"></div>
		<?php
			if ( is_active_sidebar( 'footer-widget-area' ) ) { 
				dynamic_sidebar( 'footer-widget-area' );
			} 
		?>		
	</div>
</div>
<!-- end footer -->
<div class="clearfix"></div>
<div class="copyright_info">
		<div class="container">
			<div class="clearfix divider_dashed10"></div>
			<div class="col-md-3 col-sm-3 one_third">
				<a href="<?php if(get_theme_mod( 'guardian_deve_link' )) { 
				echo esc_url(get_theme_mod( 'guardian_deve_link' )); } ?>"><?php if(get_theme_mod( 'guardian_develop_by' )) {
				$guardian_develop_by = get_theme_mod( 'guardian_develop_by' );
				echo esc_html( $guardian_develop_by ); } ?>
			</a>
			</div>
			<div class="col-md-5 col-sm-5 one_third animate" data-anim-type="fadeInRight">	
			<?php if(get_theme_mod( 'guardian_footer_customizationn' )) {
			$guardian_footer_customizationn = get_theme_mod( 'guardian_footer_customizationn' );
		    echo esc_html( $guardian_footer_customizationn ); } else { 
				esc_html_e( '© Copyright 2021. All Rights Reserved','impulsive' );
			} ?>						
			</div>	
			<?php if(get_theme_mod( 'footer_section_social_media_enbled' )) { ?>
			<div class="col-md-4 col-sm-4 one_third last">			
				<ul class="footer_social_links guardian_footer_section_social_media">

					<?php if(get_theme_mod( 'fb_link' )) { ?>
					<li class="guardian_facebook_link"><a href="<?php echo esc_url(get_theme_mod( 'fb_link' )); ?>"><i class="fa fa-facebook"></i>
					</a>
					</li>
					<?php } ?>

					<?php if(get_theme_mod( 'twitter_link' )) { ?>
					<li><a href="<?php echo esc_url(get_theme_mod( 'twitter_link' )); ?>"><i class="fa fa-twitter"></i></a>
					</li>
					<?php } ?>

					<?php if(get_theme_mod( 'linkedin_link' )) { ?>
					<li><a href="<?php echo esc_url(get_theme_mod( 'linkedin_link' )); ?>"><i class="fa fa-linkedin"></i></a>
					</li>
					<?php } ?>

					<?php if(get_theme_mod( 'instagram' )) { ?>
					<li><a href="<?php echo esc_url(get_theme_mod( 'instagram' )); ?>"><i class="fa fa-instagram"></i></a>
					</li>
					<?php } ?>

					<?php if(get_theme_mod( 'youtube_link' )) { ?>
					<li><a href="<?php echo esc_url(get_theme_mod( 'youtube_link' )); ?>"><i class="fa fa-youtube"></i></a>
					</li>
					<?php } ?>

					<?php if(get_theme_mod( 'vk_link' )) { ?>
					<li><a href="<?php echo esc_url(get_theme_mod( 'vk_link' )); ?>"><i class="fa fa-rss"></i></a>
					</li>
					<?php } ?>  
				</ul>
			</div>	
			<?php } ?>		
		</div>
	</div><!-- end copyright info -->
</div> <!-- end of header wrapper div -->
</div>


<?php $impulsive_Back_To_Top_Button_background = get_theme_mod('impulsive_Back_To_Top_Button_background');
if( !empty($impulsive_Back_To_Top_Button_background) ) : ?>

   <style>
      #btn-to-top {
         display: inline-block;
         width: 40px;
         height: 40px;
         background-color: <?php echo $impulsive_Back_To_Top_Button_background; ?> !important;
         text-align: center;
         position: fixed;
         bottom: 90px;
         right: 35px;
         z-index: 999;
         transform: scale(1.1,1.1);
         transition: all 0.5s ease;
      }
   </style>    
                
<?php endif; ?>

<?php $impulsive_Back_To_Top_Button_color_background = get_theme_mod('impulsive_Back_To_Top_Button_color_background');
   if( !empty($impulsive_Back_To_Top_Button_color_background) ) : ?>

      <style>

         a#btn-to-top i {
            font-size: 20px;
            color: <?php echo $impulsive_Back_To_Top_Button_color_background; ?> !important;
            line-height: 2.1;
         }

      </style>    
                
<?php endif; ?>

<?php 
$impulsive_Back_To_Top_Location_Button = get_theme_mod('impulsive_Back_To_Top_Location_Button', 'Right'); 
if( $impulsive_Back_To_Top_Location_Button === "Left" ) :
   ?>

   <style>
   #btn-to-top {
      opacity: 1;
      visibility: visible;
      left: 10%;
      position: fixed;
   }
   </style>  

   <?php

endif;
?>                             

<!--- scroll-to-top -->
<?php $impulsive_Back_To_Top_Section_Visibility = get_theme_mod( 'impulsive_Back_To_Top_Section_Visibility' ,1 );
if( $impulsive_Back_To_Top_Section_Visibility ) : ?>
   <a href="#" id="btn-to-top"><i class="fas fa-arrow-up"></i></a>
<?php endif; ?>


<?php get_template_part( 'custom', 'font' ); ?>
<?php wp_footer(); ?>

</body>
</html>