<?php
/**
 * Loads parent and child themes' style.css
 */
 
 /**
 * Customizers additions.
*/
require get_stylesheet_directory() . '/customizers.php';

function impulsive_child_theme_enqueue_styles() {
	wp_enqueue_style( 'impulsive-parent-style', get_template_directory_uri() . '/style.css' );
	
    wp_enqueue_style( 'impulsive-child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array('impulsive-parent-style')
    );
	
}

add_action( 'wp_enqueue_scripts', 'impulsive_child_theme_enqueue_styles' );







/*
 * impulsive Google  Fonts
*/
require get_stylesheet_directory(). "/inc/google-fonts.php";
/*
 * impulsive Google Fonts Customizer 
*/
require get_stylesheet_directory(). "/inc/Class_Google-Fonts_Customizer.php";

   /**
	 * For Welcome admin notice File...
	*/
	require get_stylesheet_directory() . '/inc/class-back-to-top-customize1.php';

add_theme_support( "title-tag" );
add_theme_support( 'automatic-feed-links' );

add_action( 'widgets_init', 'impulsive_widgets_init');
function impulsive_widgets_init() {
	/* footer widget area */
	register_sidebar( array(
		'name'          => __( 'Footer Widget Area', 'impulsive' ),
		'id'            => 'footer-widget-area',
		'description'   => __( 'footer widget area', 'impulsive' ),
		'before_widget' => '<div id="%1$s" class="col-md-3 one_fourth animate fadeInUp %2$s" data-anim-type="fadeInUp"><div class="qlinks">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h4 class="lmb">',
		'after_title'   => '</h4>',
	) );             
}